# Generated by Django 3.2.7 on 2021-09-08 09:41

from django.db import migrations, transaction
import random


def fill_cats_breed(apps, schema_editor):
    db_alias = schema_editor.connection.alias

    cat_breeds_list = list(apps.get_model(
        "some_app", "CatBreeds").objects.using(db_alias).all())
    cats = apps.get_model("some_app", "Cats")

    if not cat_breeds_list:
        return

    with transaction.atomic():
        print('\nFilling cat breeds:')
        for cat in cats.objects.using(db_alias).filter(cat_breed__isnull=True).all():
            print(cat)
            cat.cat_breed = random.choice(cat_breeds_list)
            cat.save()


def delete_cats_breed(apps, schema_editor):
    db_alias = schema_editor.connection.alias

    cats = apps.get_model("some_app", "Cats")

    with transaction.atomic():
        print('\nCleaning cat breeds:')
        for cat in cats.objects.using(db_alias).filter(cat_breed__isnull=False).all():
            print(cat)
            cat.cat_breed = None
            cat.save()


class Migration(migrations.Migration):

    dependencies = [
        ('some_app', '0001_initial'),
    ]

    operations = [
        migrations.RunPython(fill_cats_breed, reverse_code=delete_cats_breed),
    ]
